Knowledge Partner
Knowledge Partner

Re: 8.8 to 9.1 Upgrade Issue

mhonkoop wrote:

> i have run into similar issues with upgrading to eDir 9.0.4 .. in the
> end i found out that the issue was due to the libssl and libcrypto files
> inside /opt/novell/eDirectory/lib64/


I ran into something similar today as well. Upgraded an Edir887/IDM453 box to
Edir88811->IDM454->IDM46->IDM462->Edir91. All went well until the Edir91
update, which left ndsd coring on every start and both ndsmanage and ndsstat
gave me "Signature file not found". Like you I found libssl.so* and
libcrypto.so* in /opt/novell/eDirectory/lib64 and I'm pretty sure those were
not created manually by me or anyone else. I've moved them to
/opt/novell/eDirectory/lib64/bak and voila! ndsd starts again and no more
"Signature not found" nonsense.

These are the files with timestamps I got from the installers:

idmserver:/opt/novell # ll lib64/libssl.so.1.0.0 lib64/libcrypto.so.1.0.0
lrwxrwxrwx 1 root root 50 May 28 20:32 lib64/libcrypto.so.1.0.0 ->
/opt/netiq/common/openssl/lib64/libcrypto.so.1.0.0
lrwxrwxrwx 1 root root 47 May 28 20:32 lib64/libssl.so.1.0.0 ->
/opt/netiq/common/openssl/lib64/libssl.so.1.0.0
idmserver:/opt/novell # ll eDirectory/lib64/*
lrwxrwxrwx 1 root bin 18 May 28 20:03 eDirectory/lib64/libcrypto.so ->
libcrypto.so.1.0.0
lrwxrwxrwx 1 root bin 18 May 28 20:03 eDirectory/lib64/libcrypto.so.1 ->
libcrypto.so.1.0.0
-rwxr-xr-x 1 root bin 2893238 Nov 8 2017 eDirectory/lib64/libcrypto.so.1.0.0
lrwxrwxrwx 1 root bin 15 May 28 20:03 eDirectory/lib64/libssl.so ->
libssl.so.1.0.0
lrwxrwxrwx 1 root bin 15 May 28 20:03 eDirectory/lib64/libssl.so.1 ->
libssl.so.1.0.0
-rwxr-xr-x 1 root bin 495160 Nov 8 2017 eDirectory/lib64/libssl.so.1.0.0
idmserver:/opt/novell # ll eDirectory/lib/dirxml/classes/dirxml.jar
-rwxr-xr-x 1 root bin 1415051 Nov 8 2017
eDirectory/lib/dirxml/classes/dirxml.jar


....and this is from my bash history:


641 2018-05-28 20:02:23 cd idm462/
642 2018-05-28 20:02:28 ./install.sh

670 2018-05-28 20:28:37 cd edir91/
671 2018-05-28 20:28:41 cd setup/
672 2018-05-28 20:30:03 ./nds-install


Now when I look at the timestamps of the files and aliases, my guess is that
the IDM 4.6.2 patch installer has put the libs into
/var/opt/novell/eDirectory/lib64 and created the symlinks. That was still with
Edir 8.8.8.11 and probably fine for that version. Then the Edir 9.1 installer
did his job and missed to clean up those files...

--
http://www.is4it.de/en/solution/identity-access-management/

(If you find this post helpful, please click on the star below.)
______________________________________________
https://www.is4it.de/identity-access-management
mhonkoop1 Absent Member.
Absent Member.

Re: 8.8 to 9.1 Upgrade Issue

lhaeger;2481627 wrote:
mhonkoop wrote:

> i have run into similar issues with upgrading to eDir 9.0.4 .. in the
> end i found out that the issue was due to the libssl and libcrypto files
> inside /opt/novell/eDirectory/lib64/


I ran into something similar today as well. Upgraded an Edir887/IDM453 box to
Edir88811->IDM454->IDM46->IDM462->Edir91. All went well until the Edir91
update, which left ndsd coring on every start and both ndsmanage and ndsstat
gave me "Signature file not found". Like you I found libssl.so* and
libcrypto.so* in /opt/novell/eDirectory/lib64 and I'm pretty sure those were
not created manually by me or anyone else. I've moved them to
/opt/novell/eDirectory/lib64/bak and voila! ndsd starts again and no more
"Signature not found" nonsense.



Looks like your starting point was almost similar to mine , differences :

Startpoint : eDir888SP11 / idm 450

i went -> idm4.5.5 -> 4.6.0 -> 4.6.2 -> eDir 9.0.4

Strange thing is its not the only machine in the same organisation which i upgraded in this way, prior to experiencing this issue i had already done 10+ machines in the same way.

- Michael
0 Likes
Knowledge Partner Knowledge Partner
Knowledge Partner

Re: 8.8 to 9.1 Upgrade Issue

On 05/28/2018 02:18 PM, Lothar Haeger wrote:
> Now when I look at the timestamps of the files and aliases, my guess is that
> the IDM 4.6.2 patch installer has put the libs into
> /var/opt/novell/eDirectory/lib64 and created the symlinks. That was still with
> Edir 8.8.8.11 and probably fine for that version. Then the Edir 9.1 installer
> did his job and missed to clean up those files...


The follow-up is useful; I presume that you mean
/opt/novell/eDirectory/lib64 and not /var/opt/novell/eDirectory/lib64, but
otherwise this seems plausible.

--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below.

If you want to send me a private message, please let me know in the
forum as I do not use the web interface often.
0 Likes
Knowledge Partner
Knowledge Partner

Re: 8.8 to 9.1 Upgrade Issue

ab wrote:

> /opt/novell/eDirectory/lib64 and not /var/opt/novell/eDirectory/lib64


Yes, indeed.

--
http://www.is4it.de/en/solution/identity-access-management/

(If you find this post helpful, please click on the star below.)
______________________________________________
https://www.is4it.de/identity-access-management
0 Likes
bkesting Honored Contributor.
Honored Contributor.

Re: 8.8 to 9.1 Upgrade Issue

So right now on my live SLES 11 SP4 machine running eDir 8.8.8 the only libssl files I have are:


find / -name libssl*.*
/root/.novell/groupwise/.webrendererswing/linux/corecomponents/libssl3.so
/usr/lib64/libssl.so.0.9.8
/usr/lib64/libssl3.so
/usr/lib/libssl.so.0.9.8
/usr/lib/libssl3.so
/opt/novell/groupwise/agents/lib/openssl/libssl.so.0.9.8
/opt/novell/groupwise/agents/lib/openssl/libssl.so.1.0.0
/opt/novell/groupwise/agents/lib/openssl/libssl.so
/opt/novell/groupwise/agents/lib/libssl.so.1.0.0
/opt/novell/groupwise/agents/lib/libssl.so
/opt/novell/eDirectory/lib64/nds-modules/libssldp.so
/opt/novell/eDirectory/lib64/nds-modules/libssldp.so.8.8.8.1
/opt/novell/eDirectory/lib64/nds-modules/libssldp.so.8


And for libcrypto


find / -name libcrypto*.*
/usr/lib64/libcrypto.so.0.9.8
/usr/lib/libcrypto.so.0.9.8
/opt/novell/groupwise/agents/lib/libcrypto.so.1.0.0
/opt/novell/groupwise/agents/lib/openssl/libcrypto.so.0.9.8
/opt/novell/groupwise/agents/lib/openssl/libcrypto.so.1.0.0
/opt/novell/groupwise/agents/lib/openssl/libcrypto.so
/opt/novell/groupwise/agents/lib/libcrypto.so
0 Likes
bkesting Honored Contributor.
Honored Contributor.

Re: 8.8 to 9.1 Upgrade Issue

It's been awhile, so went back to tackle this problem again.

I was able to successfully patch my eDirectory installation from 8.8.8.5 to 8.8.8.11. Went without a hitch and everything works fine.

Downloaded and installed 9.0.4. The installation says everything went fine. When I run ./ndsd status I get:


Tree Name: (Tree)
Server Name: CN=(server).O=(name).T=(tree)
Binary Version: 40006.33
Root Most Entry Depth: 0
Product Version: eDirectory for Linux x86_64 v9.0.4 [DS]


However, when I run ndsstat I still get:


[1] Instance at /etc/opt/novell/eDirectory/conf/nds.conf: server.0=(tree)
Signature file not found
Aborted


And though it says the service is running, I cannot authenticate anything against eDir (i.e. Groupwise logins). Anymore thoughts?
0 Likes
Knowledge Partner
Knowledge Partner

Re: 8.8 to 9.1 Upgrade Issue

bkesting wrote:

> Anymore thoughts?


Does this help?


cd /opt/novell/eDirectory/lib64
mkdir bak
mv -v libssl* bak
mv -v libcrypto* bak


--
http://www.is4it.de/en/solution/identity-access-management/

(If you find this post helpful, please click on the star below.)
______________________________________________
https://www.is4it.de/identity-access-management
0 Likes
bkesting Honored Contributor.
Honored Contributor.

Re: 8.8 to 9.1 Upgrade Issue

lhaeger;2484569 wrote:
bkesting wrote:

> Anymore thoughts?


Does this help?


cd /opt/novell/eDirectory/lib64
mkdir bak
mv -v libssl* bak
mv -v libcrypto* bak


--
http://www.is4it.de/en/solution/identity-access-management/

(If you find this post helpful, please click on the star below.)


You are saying to move those two files out of the /opt/novell/eDirectory/lib64 directory? I think I already tried that, but will try again. Is this to be done before or after the 9.0.4 install?
0 Likes
Knowledge Partner
Knowledge Partner

Re: 8.8 to 9.1 Upgrade Issue

bkesting wrote:

> You are saying to move those two files out of the
> /opt/novell/eDirectory/lib64 directory? I think I already tried that,
> but will try again. Is this to be done before or after the 9.0.4
> install?


I've seen the exact same error after upgrading Edir88811/IDM462 to Edir91 and
moving those two files out of the path made ndsd start again.
I suspect those two files were installed by the idm462 patch and need to be
there with edir888. The edir update to 91x then does not clean them out,
despite causing a conflict.

So yes, after the update, try moving those files out of the way and see if it
helps.

--
http://www.is4it.de/en/solution/identity-access-management/

(If you find this post helpful, please click on the star below.)
______________________________________________
https://www.is4it.de/identity-access-management
0 Likes
bkesting Honored Contributor.
Honored Contributor.

Re: 8.8 to 9.1 Upgrade Issue

lhaeger;2484616 wrote:
bkesting wrote:

> You are saying to move those two files out of the
> /opt/novell/eDirectory/lib64 directory? I think I already tried that,
> but will try again. Is this to be done before or after the 9.0.4
> install?


I've seen the exact same error after upgrading Edir88811/IDM462 to Edir91 and
moving those two files out of the path made ndsd start again.
I suspect those two files were installed by the idm462 patch and need to be
there with edir888. The edir update to 91x then does not clean them out,
despite causing a conflict.

So yes, after the update, try moving those files out of the way and see if it
helps.

--
http://www.is4it.de/en/solution/identity-access-management/

(If you find this post helpful, please click on the star below.)


I'll give it a shot in a few hours and see what happens. Thanks
0 Likes
bkesting Honored Contributor.
Honored Contributor.

Re: 8.8 to 9.1 Upgrade Issue

I never did figure out the issue.

I created a new SLES 12 SP3 virtual system, installed/imported eDir 8.8.8.11 there and was able to successfully update to 9.1.1. Must be something screwy with my current SLES 11 SP4 setup.
0 Likes
Knowledge Partner
Knowledge Partner

Re: 8.8 to 9.1 Upgrade Issue

bkesting wrote:

> I never did figure out the issue.
>
> I created a new SLES 12 SP3 virtual system, installed/imported eDir
> 8.8.8.11 there and was able to successfully update to 9.1.1. Must be
> something screwy with my current SLES 11 SP4 setup.


Was IDM installed on the server seeing the original issue?

--
http://www.is4it.de/en/solution/identity-access-management/

(If you find this post helpful, please click on the star below.)
______________________________________________
https://www.is4it.de/identity-access-management
0 Likes
bkesting Honored Contributor.
Honored Contributor.

Re: 8.8 to 9.1 Upgrade Issue

lhaeger;2485323 wrote:
bkesting wrote:

> I never did figure out the issue.
>
> I created a new SLES 12 SP3 virtual system, installed/imported eDir
> 8.8.8.11 there and was able to successfully update to 9.1.1. Must be
> something screwy with my current SLES 11 SP4 setup.


Was IDM installed on the server seeing the original issue?

--
http://www.is4it.de/en/solution/identity-access-management/

(If you find this post helpful, please click on the star below.)


I do not have IDM installed on either system.
0 Likes
Micro Focus Contributor
Micro Focus Contributor

Re: 8.8 to 9.1 Upgrade Issue

Related to this issue: I've published TID # 7023287: eDirectory fails to start after upgrade from 8.8.8 to 9, IDM 4.5 to 4.6 - https://www.novell.com/support/kb/doc.php?id=7023287. I'm working on making sure development is aware of this as well.
0 Likes
Knowledge Partner
Knowledge Partner

Re: 8.8 to 9.1 Upgrade Issue

Thanks for that TID!

Another option would be to upgrade from edir 8.8.8.x to 9.x before upgrading IDM to 4.6 (or later?)
But that requires that we know about the issue before upgrading of cause.

John_Walker;2486061 wrote:
Related to this issue: I've published TID # 7023287: eDirectory fails to start after upgrade from 8.8.8 to 9, IDM 4.5 to 4.6 - https://www.novell.com/support/kb/doc.php?id=7023287. I'm working on making sure development is aware of this as well.
0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.